"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee8cee0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee8cf70>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94040>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee940d0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94160>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee941f0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94280>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94310>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee943a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94430>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee944c0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94550>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee945e0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94670>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94700>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94790>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94820>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee948b0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94940>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee949d0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94a60>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94af0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94b80>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94c10>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94d30>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94ca0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94dc0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94e50>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94ee0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee94f70>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98040>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee980d0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98160>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee981f0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98280>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98310>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee983a0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98430>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee984c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98550>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee985e0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98670>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98700>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98790>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98820>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee988b0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98940>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee989d0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98a60>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98af0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98b80>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98c10>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98ca0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98d30>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98dc0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98e50>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98ee0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee98f70>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9c040>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9c0d0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9c160>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9c1f0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9c280>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9c310>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9c3a0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9c550>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9c430>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9c5e0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9c670>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9c700>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9c790>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9c820>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9c940>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9c8b0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9c9d0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9ca60>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9caf0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9cc10>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9cb80>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9cca0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9cd30>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9cdc0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9ce50>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9cee0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffffaee9cf70>)]
name: str = 'fr_HOCCN'
